
/* -------------------------------------
 ---------- Account allauth ------------
 -------------------------------------*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


label {
    color: white !important;
}

.account-card {
    width: 800px;
    height: auto;
}



.account-card,
.account-card-change-profile {
    margin-right: auto;
    margin-left: auto;
    background-color: #e6d6c9;
}

button:hover {
    background-color: #1a2e64;
    color: #c57474;
}


button:after {
    background-color: #1a2e64;
    color: #FFFFFF;
}


button {
    height: 40px;
    width: auto;
    padding: 0 25px;
    border-radius: 8px;
    margin-right: auto;
    margin-left: auto;
    margin-top: 20px;
    background-color: #0a2059;
    color: #FFFFFF;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px; /* Ajuste la taille du texte si nécessaire */
    border: none;
    cursor: pointer;
}

.errorlist {
    background-color: #e0cbcb !important;
    text-align: center;
    border-radius: 5px;
    margin: 2px;
    color: red;

}

#form-account input #id_password {
    width: 500px;
}

.change-profile input,
select,
#form-account input {
    width: 100%;
    height: 40px;
    border-radius: 10px;
    border: solid black; /* Style et couleur */
    border-width: 1px 0 0 1px; /* Haut, Droite, Bas, Gauche */
    padding: 0 8px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

span,
#form-account label {
    margin-bottom: 2px;
    margin-top: 2px;
}

input#id_accept_rgpd,
input#id_receives_newsletter,
input#id_roles_0,
input#id_roles_1,
input#id_roles_2,
input#id_roles_3,
input#id_roles_4,
input#id_roles_5,
input#id_roles_6,
input#id_remember {
    width: 15px !important;
    height: 15px !important;
    margin-top: 5px;
}

#text {
    align-items: center;
}

select {
    width: 100%;
    height: 40px;
}

p#id_remember {
    display: inline-block;
    align-items: center !important;
    justify-content: center !important;
}

strong {
    display: none;
}

.button-password a {
    margin-top: 10px;
    display: flex;
    align-items: center !important;
    justify-content: center !important;
}

.change-profile ,form label {
    width: 100%;
    text-align: left !important;
}

.account-card a {
    color: white !important;
    font-size: 20px;
}
@media (max-width: 781px) {
    #form-account li, ul {
        padding: 0 !important;
        margin: 0 !important;
    }
    .card {
        width: 100%;
        padding: 30px 20px 30px 20px !important;
    }
}